For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
      • GETList item database entries
      • POSTSearch item database
      • GETQuick item search
      • GETList recipe database entries
      • POSTSearch recipe database
      • GETGet item filter metadata
      • GETList item sets
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
ModulesItem & Recipe

List recipe database entries

GET
https://api.wynncraft.com/v3/item/recipe/database
GET
/v3/item/recipe/database
$curl https://api.wynncraft.com/v3/item/recipe/database
200Paginated recipe response with a single recipe
1{
2 "controller": {
3 "count": 3,
4 "current_count": 1,
5 "pages": 3,
6 "prev": 1,
7 "current": 2,
8 "next": 3
9 },
10 "results": [
11 {
12 "internalName": "Boots1-3",
13 "type": "boots",
14 "skill": "tailoring",
15 "level": {
16 "minimum": 1,
17 "maximum": 3
18 },
19 "materials": [
20 {
21 "item": "Refined Copper Ingot",
22 "amount": 1
23 },
24 {
25 "item": "Refined Wheat String",
26 "amount": 2
27 }
28 ],
29 "healthOrDamage": {
30 "minimum": 9,
31 "maximum": 11
32 },
33 "sprites": {
34 "default": {
35 "format": "attribute",
36 "value": {
37 "id": "minecraft:leather_boots",
38 "customModelData": 1,
39 "name": "boots.leather"
40 },
41 "name": "itemdefault"
42 }
43 },
44 "xp": 20,
45 "durability": {
46 "minimum": 175000,
47 "maximum": 182000
48 }
49 }
50 ]
51}
<Note> This endpoint is cached for <Badge intent="error" minimal>1 hour</Badge> in the <Badge intent="success" minimal>SHARED</Badge> cache source. See [Caching](/welcome#caching). <Indent></Indent> This endpoint belongs to the <Badge intent="warning" minimal>ITEMS</Badge> rate-limit bucket. See [Throttling and Rate Limits](/welcome#throttling-and-rate-limits). </Note> <Info> `full_result` bypasses pagination and returns the full raw array instead of the paginated object. </Info> This endpoint uses the generic pagination response format unless `full_result` is present.
Was this page helpful?
Previous

Quick item search

Next

Search recipe database

Built with

This endpoint is cached for 1 hour in the SHARED cache source. See Caching.

This endpoint belongs to the ITEMS rate-limit bucket. See Throttling and Rate Limits.

full_result bypasses pagination and returns the full raw array instead of the paginated object.

This endpoint uses the generic pagination response format unless full_result is present.

Query parameters

pageintegerOptional>=1
full_resultenumOptional

Presence-based flag that expands responses. Send it without a value as ?full_result. Using ?full_result=true or ?full_result=false is not accepted.

Allowed values:

Response

Paginated recipe list.
controllerobject
resultslist of objects